[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Emacs and Guile

From: Eli Zaretskii
Subject: Re: Emacs and Guile
Date: Wed, 11 Apr 2012 15:03:43 +0300

> From: Thien-Thi Nguyen <address@hidden>
> Date: Wed, 11 Apr 2012 13:31:33 +0200
> () Eli Zaretskii <address@hidden>
> () Wed, 11 Apr 2012 10:29:26 +0300
>    So not only there is a "trivial problem", but also there are
>    still significant changes between Guile 1.8 and 2.0.  These are
>    all signs of immaturity IMO.
> I think it's more a sign of the prevalent development culture.

Well, yeah, that's another way of putting it ;-)

> What Guile 2.0 needs (especially for a realistic shot at Emacs
> integration), is for Someone apart from the primary Guile hackers
> to curate the 1.8 branch, applying bugfixes, doc upgrades, and
> design shims, all to increase the sense of continuity perceived
> by client code.  By side effect of the design shims, quirks in
> both 1.8 and 2.0, as well as regressions in 2.0, will be easily
> identified and (perhaps less easily) abstracted.  This is the
> process that will help bring maturity.

I don't know enough to voice an opinion on that, but it certainly
sounds right to me.

One other annoyance I know of wrt the differences between these
branches is the fact that you must explicitly ask pkg-config about one
branch or the other (as in "pkg-config guile-2.0"), which is -- how
should I put that? -- suboptimal.  Maybe this nit could be fixed as
well at some point.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]